Summary:	The Debian Almquist Shell (formerly NetBSD's ash)
Name:		dash
Version:	0.5.11.5
Release:	%mkrel 1
License:	BSD and GPLv2+
Group:		Shells
URL:		http://gondor.apana.org.au/~herbert/dash/
Source0:	http://gondor.apana.org.au/~herbert/dash/files/%{name}-%{version}.tar.gz
Source1:	aarch64-stat64.patch
Patch1:		dash-0.5.7-hack-to-fix-test-build.patch
Requires(post):		rpm-helper
Requires(postun):	rpm-helper
# explicit file provide:
# (tmb) keep old path provide too for now to avoid breakage
Provides:	/bin/dash
Provides:	/usr/bin/dash
BuildRequires:	bison
BuildRequires:	dietlibc-devel

%description
"dash" is a POSIX compliant shell that is much smaller than "bash".
Dash supports many features that a real sh shell would support, however
it is much smaller in size. This becomes an advantage in situations
where there is a lack of memery (initial ram-disks, etc). dash does
lack a few features, like command line history.

dash is the continuation of the original NetBSD ash fork. dash is much
more up-to-date, and properly maintained.

You should install dash if you need a near featureful lightweight shell
that is similar to GNU's bash.

%package static
Summary:	The Debian Almquist Shell (statically compiled)
License:	BSD
Group:		Shells
Provides:	ash
Conflicts:	dash < 0.5.4-3
# explicit file provide:
# (tmb) keep old path provide too for now to avoid breakage
Provides:	/bin/dash.static
Provides:	/usr/bin/dash.static

%description static
"dash" is a POSIX compliant shell that is much smaller than "bash".
Dash supports many features that a real sh shell would support, however
it is much smaller in size. This becomes an advantage in situations
where there is a lack of memery (initial ram-disks, etc). dash does
lack a few features, like command line history.

dash is the continuation of the original NetBSD ash fork. dash is much
more up-to-date, and properly maintained.

You should install dash if you need a near featureful lightweight shell
that is similar to GNU's bash.

This version is statically compiled.

%prep
%setup -q
%autopatch -p1

%ifarch aarch64
patch -p1 < %{_sourcedir}/aarch64-stat64.patch
sed -i -e 's,stat64,stat,g' src/bltin/test.c src/exec.c src/expand.c src/mail.c src/redir.c src/main.c src/cd.c src/var.c
%endif

%build
export CFLAGS="%{optflags} -Os"
export CXXFLAGS=$CFLAGS

autoreconf -vfi
%configure

# Build dynamically linked dash first
%make_build
mv src/dash src/dash.dynamic

# Build statically linked dietlibc dash last
make clean

export CC="diet -v gcc"
%configure
%make_build
strip src/dash
mv src/dash src/dash.static

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1

install -m 755 src/dash.dynamic %{buildroot}%{_bindir}/dash
install -m 644 src/dash.1 %{buildroot}%{_mandir}/man1/dash.1

install -m 755 src/dash.static %{buildroot}%{_bindir}/dash.static

ln -s %{_bindir}/dash.static %{buildroot}%{_bindir}/ash
ln -s %{_mandir}/man1/dash.1 %{buildroot}%{_mandir}/man1/ash.1

%post
%_add_shell_helper %{name} $1 %{_bindir}/dash

%postun
%_del_shell_helper %{name} $1 %{_bindir}/dash

%files
%doc ChangeLog COPYING
%{_bindir}/dash
%{_mandir}/man1/*

%files static
%doc ChangeLog COPYING
%{_bindir}/dash.static
%{_bindir}/ash


%changelog
* Tue Sep 27 2022 neoclust <neoclust> 0.5.11.5-1.mga9
+ Revision: 1892772
- New version 0.5.11.5

* Thu Mar 17 2022 umeabot <umeabot> 0.5.11.4-3.mga9
+ Revision: 1797146
- Mageia 9 Mass Rebuild

* Sun Aug 08 2021 luigiwalser <luigiwalser> 0.5.11.4-2.mga9
+ Revision: 1740136
- 0.5.11.4

* Sat Apr 17 2021 wally <wally> 0.5.11.3-1.mga9
+ Revision: 1716312
- new version 0.5.11.3

* Wed Nov 18 2020 luigiwalser <luigiwalser> 0.5.11.2-1.mga8
+ Revision: 1647121
- disable dependency tracking to work around missing depcomp
+ shlomif <shlomif>
- New version 0.5.11.2

* Fri Feb 14 2020 umeabot <umeabot> 0.5.10.2-2.mga8
+ Revision: 1520520
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Nov 26 2018 kekepower <kekepower> 0.5.10.2-1.mga7
+ Revision: 1335191
- Update to version 0.5.10.2
- Rediffed aarch64 patch

* Sun Sep 23 2018 umeabot <umeabot> 0.5.9.1-2.mga7
+ Revision: 1297402
- Mageia 7 Mass Rebuild

* Wed Apr 25 2018 wally <wally> 0.5.9.1-1.mga7
+ Revision: 1222386
- new version 0.5.9.1

* Sat Sep 02 2017 tmb <tmb> 0.5.9-2.mga7
+ Revision: 1150894
- rebuild with new binutils/gcc

* Sat Sep 10 2016 luigiwalser <luigiwalser> 0.5.9-1.mga6
+ Revision: 1051246
- 0.5.9

* Sun Feb 14 2016 umeabot <umeabot> 0.5.8-2.mga6
+ Revision: 959836
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 ngompa <ngompa> 0.5.8-1.mga6
+ Revision: 893915
- Updated to 0.5.8 and dropped git rollup patch

* Thu Sep 17 2015 tv <tv> 0.5.7-9.mga6
+ Revision: 880171
- reenable debuginfo after killig stripping

* Wed Sep 09 2015 neoclust <neoclust> 0.5.7-8.mga6
+ Revision: 875097
- Fix build with new rpm ( empty debuginfo)

* Fri Aug 21 2015 tmb <tmb> 0.5.7-7.mga6
+ Revision: 867440
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 0.5.7-6.mga5
+ Revision: 744296
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.7-5.mga5
+ Revision: 678672
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.7-4.mga4
+ Revision: 503756
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.5.7-3.mga3
+ Revision: 348619
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 tmb <tmb> 0.5.7-2.mga3
+ Revision: 300291
- update to 2012-07-03 snapshot (P1)
- fix test build for dietlibc missing defines (P2)
- install dash in /usr/bin, not /bin (fixes filesystem install breakage)
- clean spec
+ sander85 <sander85>
- Fix license.

* Thu Sep 08 2011 tv <tv> 0.5.7-1.mga2
+ Revision: 141518
- new release
- rediff patch 0

* Tue Jan 11 2011 blino <blino> 0.5.6.1-1.mga1
+ Revision: 5749
- imported package dash


* Sun Aug 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.6.1-1mdv2011.0
+ Revision: 564823
- Patch0: fix format not a string...
- update to new version 0.5.6.1
- update links for URL and SOURCE0
- compile with -Os flag

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.5.1-3mdv2010.1
+ Revision: 520064
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.5.5.1-2mdv2010.0
+ Revision: 413326
- rebuild

* Wed Feb 18 2009 Jérôme Soyer <saispo@mandriva.org> 0.5.5.1-1mdv2009.1
+ Revision: 342435
- New upstream release

* Thu Dec 18 2008 Pixel <pixel@mandriva.com> 0.5.4-10mdv2009.1
+ Revision: 315726
- add explicit file provide /bin/dash

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 0.5.4-9mdv2009.0
+ Revision: 264384
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 10 2008 Oden Eriksson <oeriksson@mandriva.com> 0.5.4-8mdv2009.0
+ Revision: 217537
- rebuilt against dietlibc-devel-0.32

* Thu Feb 28 2008 Anssi Hannula <anssi@mandriva.org> 0.5.4-7mdv2008.1
+ Revision: 176252
- dash-static conflicts with old dash

* Thu Feb 28 2008 Pixel <pixel@mandriva.com> 0.5.4-6mdv2008.1
+ Revision: 176168
- add explicit file provide /dash.static

* Wed Feb 27 2008 Pixel <pixel@mandriva.com> 0.5.4-5mdv2008.1
+ Revision: 175832
- also remove "Requires(post,postun): rpm-helper" (cf previous commit)

* Wed Feb 27 2008 Pixel <pixel@mandriva.com> 0.5.4-4mdv2008.1
+ Revision: 175823
- dash-static can't have %%post/%%preun using bash otherwise we get loop
  (we could restore %%pro/%%preun from old ash package, but it needs testing)

* Wed Feb 27 2008 Pixel <pixel@mandriva.com> 0.5.4-3mdv2008.1
+ Revision: 175822
- ash was static, so move obsolete,provides,/bin/ash to dash-static

* Mon Jan 28 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.4-2mdv2008.1
+ Revision: 159211
- whoops, wrong order for symlink
- provides and obsoletes ash (#21233 for e.g.)
- provide /bin/ash and matching manpage
- rewrap description
- spec clean

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.5.4-1mdv2008.1
+ Revision: 136360
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Pascal Terjan <pterjan@mandriva.org>
    - 0.5.4
    - Import dash

  + Jérôme Soyer <saispo@mandriva.org>
    - New release 0.5.4



* Wed Dec 07 2005 Michael Scherer <misc@mandriva.org> 0.5.3-1mdk
- New release 0.5.3
- use mkrel
- remove patch 0, implemented upstream
- remove PreReq

* Fri Feb 11 2005 Michael Scherer <misc@mandrake.org> 0.5.2-1mdk
- rpmbuildupdateable
- From Sunny Dubey <sdubey@nylug.org>  
  * Removed debian specific patch
  * updated to 0.5.2

* Mon Nov 29 2004 Michael Scherer <misc@mandrake.org> 0.5.1-3mdk 
- various adjustement ( .bz2, prereq, etc )
- uploaded to contribs

* Tue Nov 23 2004 Sunny Dubey <sunny@opencurve.org> 0.5.1-2mdk
- Fixed dietlibc support

* Tue Nov 23 2004 Sunny Dubey <sunny@opencurve.org> 0.5.1-1mdk
- Initial Mandrake release :)

* Tue Jun 29 2004 Sunny Dubey <sunny@opencurve.org>
- use $(command) instead of `command`
- add to %%doc

* Fri Jun 25 2004 Sunny Dubey <sunny@opencurve.org>
- No more mindless copying/renaming during build

* Thu Jun 24 2004 Sunny Dubey <sunny@opencurve.org>
- Brand-spanking new package (no more unmaintained ash)
- patched mktemp issue
